Agda-2.8.0: A dependently typed functional programming language and proof assistant

Safe Haskell | None
Language | Haskell2010

Agda.Interaction.Highlighting.FromAbstract

Description

Extract highlighting syntax from abstract syntax.

Implements one big fold over abstract syntax.

Synopsis

- runHighlighter :: Hilite a => TopLevelModuleName -> NameKinds -> a -> HighlightingInfoBuilder
- type NameKinds = QName -> Maybe NameKind

# Documentation

runHighlighter Source #

Arguments

:: Hilite a |
=> TopLevelModuleName | The current top-level module's name.
-> NameKinds |
-> a |
-> HighlightingInfoBuilder |

Create highlighting info for some piece of syntax.

type NameKinds = QName -> Maybe NameKind Source #

A function mapping names to the kind of name they stand for.